# Uses of Interface
org.eclipse.emf.compare.Conflict

Packages that use Conflict
Package
Description
org.eclipse.emf.compare
org.eclipse.emf.compare.impl
org.eclipse.emf.compare.internal.spec
org.eclipse.emf.compare.merge
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.nodes
org.eclipse.emf.compare.util
org.eclipse.emf.compare.utils

## Uses of Conflict in org.eclipse.emf.compare

Methods in org.eclipse.emf.compare that return Conflict
Modifier and Type
Method
Description
`Conflict`
CompareFactory.`createConflict()`
Returns a new object of class 'Conflict'.
`Conflict`
Diff.`getConflict()`
Returns the value of the 'Conflict' reference.
Methods in org.eclipse.emf.compare that return types with arguments of type Conflict
Modifier and Type
Method
Description
`EList<Conflict>`
Comparison.`getConflicts()`
Returns the value of the 'Conflicts' containment reference list.
Methods in org.eclipse.emf.compare with parameters of type Conflict
Modifier and Type
Method
Description
`void`
Diff.`setConflict(Conflict value)`
Sets the value of the '`Conflict`' reference.

## Uses of Conflict in org.eclipse.emf.compare.impl

Classes in org.eclipse.emf.compare.impl that implement Conflict
Modifier and Type
Class
Description
`class`
`ConflictImpl`
An implementation of the model object 'Conflict'.
Fields in org.eclipse.emf.compare.impl declared as Conflict
Modifier and Type
Field
Description
`protected Conflict`
DiffImpl.`conflict`
The cached value of the '`Conflict`' reference.
Fields in org.eclipse.emf.compare.impl with type parameters of type Conflict
Modifier and Type
Field
Description
`protected EList<Conflict>`
ComparisonImpl.`conflicts`
The cached value of the '`Conflicts`' containment reference list.
Methods in org.eclipse.emf.compare.impl that return Conflict
Modifier and Type
Method
Description
`Conflict`
DiffImpl.`basicGetConflict()`
`Conflict`
CompareFactoryImpl.`createConflict()`
`Conflict`
DiffImpl.`getConflict()`
Methods in org.eclipse.emf.compare.impl that return types with arguments of type Conflict
Modifier and Type
Method
Description
`EList<Conflict>`
ComparisonImpl.`getConflicts()`
Methods in org.eclipse.emf.compare.impl with parameters of type Conflict
Modifier and Type
Method
Description
`NotificationChain`
DiffImpl.`basicSetConflict(Conflict newConflict, NotificationChain msgs)`
`void`
DiffImpl.`setConflict(Conflict newConflict)`

## Uses of Conflict in org.eclipse.emf.compare.internal.spec

Classes in org.eclipse.emf.compare.internal.spec that implement Conflict
Modifier and Type
Class
Description
`class`
`ConflictSpec`
This specialization of the `ConflictImpl` class allows us to define the derived features and operations implementations.

## Uses of Conflict in org.eclipse.emf.compare.merge

Method parameters in org.eclipse.emf.compare.merge with type arguments of type Conflict
Modifier and Type
Method
Description
`ComputeDiffsToMerge`
ComputeDiffsToMerge.`failOnRealConflictUnless(com.google.common.base.Predicate<? super Conflict> predicate)`
Set the failOnConflict flag.

## Uses of Conflict in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl

Classes in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl that implement Conflict
Modifier and Type
Class
Description
`static class`
`ThreeWayComparisonGroupProvider.CompositeConflict`
This extension of `Conflict` is used to handle `refined` diffs and to join conflicts for the SMV.
Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl that return types with arguments of type Conflict
Modifier and Type
Method
Description
`Set<Conflict>`
ThreeWayComparisonGroupProvider.CompositeConflict.`getConflicts()`
Returns an unmodifiable view of the joined conflicts.
Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl with parameters of type Conflict
Modifier and Type
Method
Description
`protected ConflictNode`
BasicDifferenceGroupImpl.`createConflictNode(Conflict conflict)`
Create a conflict node.
Constructors in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl with parameters of type Conflict
Modifier
Constructor
Description
``
`CompositeConflict(Conflict conflict)`
Creates a new composite conflict for the given conflict.
``
`ConflictNodeBuilder(Conflict conflict, ThreeWayComparisonGroupProvider.ConflictsGroupImpl group)`

## Uses of Conflict in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.nodes

Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.nodes that return Conflict
Modifier and Type
Method
Description
`Conflict`
ConflictNode.`getConflict()`
Getter for the conflict represented by this TreeNode.
Constructors in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.nodes with parameters of type Conflict
Modifier
Constructor
Description
``
`ConflictNode(Conflict conflict)`
Constructor.

## Uses of Conflict in org.eclipse.emf.compare.util

Methods in org.eclipse.emf.compare.util with parameters of type Conflict
Modifier and Type
Method
Description
`T`
CompareSwitch.`caseConflict(Conflict object)`
Returns the result of interpreting the object as an instance of 'Conflict'.

## Uses of Conflict in org.eclipse.emf.compare.utils

Methods in org.eclipse.emf.compare.utils that return types with arguments of type Conflict
Modifier and Type
Method
Description
`static com.google.common.base.Predicate<? super Conflict>`
EMFComparePredicates.`containsConflictOfTypes(ConflictKind... kinds)`
Deprecated.
This can be used to check whether a given Conflict is of one of the given kind.
`static com.google.common.base.Predicate<Conflict>`
EMFComparePredicates.`isAdditiveConflict()`
Deprecated.
Predicate to test whether a conflict is additive or not.